/*
 * Copyright (c) 2007 Kov Chai <tchaikov@gmail.com>
 *
 * The contents of this file are subject to the terms of either the GNU Lesser
 * General Public License Version 2.1 only ("LGPL") or the Common Development and
 * Distribution License ("CDDL")(collectively, the "License"). You may not use this
 * file except in compliance with the License. You can obtain a copy of the CDDL at
 * http://www.opensource.org/licenses/cddl1.php and a copy of the LGPLv2.1 at
 * http://www.opensource.org/licenses/lgpl-license.php. See the License for the 
 * specific language governing permissions and limitations under the License. When
 * distributing the software, include this License Header Notice in each file and
 * include the full text of the License in the License file as well as the
 * following notice:
 * 
 * NOTICE PURSUANT TO SECTION 9 OF THE COMMON DEVELOPMENT AND DISTRIBUTION LICENSE
 * (CDDL)
 * For Covered Software in this distribution, this License shall be governed by the
 * laws of the State of California (excluding conflict-of-law provisions).
 * Any litigation relating to this License shall be subject to the jurisdiction of
 * the Federal Courts of the Northern District of California and the state courts
 * of the State of California, with venue lying in Santa Clara County, California.
 * 
 * Contributor(s):
 * 
 * If you wish your version of this file to be governed by only the CDDL or only
 * the LGPL Version 2.1, indicate your decision by adding "[Contributor]" elects to
 * include this software in this distribution under the [CDDL or LGPL Version 2.1]
 * license." If you don't indicate a single choice of license, a recipient has the
 * option to distribute your version of this file under either the CDDL or the LGPL
 * Version 2.1, or to extend the choice of license to its licensees as provided
 * above. However, if you add LGPL Version 2.1 code and therefore, elected the LGPL
 * Version 2 license, then the option applies only if the new code is made subject
 * to such option by the copyright holder. 
 */


#ifndef SUNPINYIN_IMENGINE_CONFIG_KEYS_H
#define SUNPINYIN_IMENGINE_CONFIG_KEYS_H

#define SCIM_CONFIG_IMENGINE_SUNPINYIN_SYSTEM_LANGUAGE_MODEL            "/IMEngine/SunPinyin/System/LanguageModel"
#define SCIM_CONFIG_IMENGINE_SUNPINYIN_SYSTEM_DICTIONARY                "/IMEngine/SunPinyin/System/Dictionary"

#define SCIM_CONFIG_IMENGINE_SUNPINYIN_USER_HISTORY                     "/IMEngine/SunPinyin/User/History"

#define SCIM_CONFIG_IMENGINE_SUNPINYIN_USER_VIEW_TYPE                   "/IMEngine/SunPinyin/InputStyle"
#define SCIM_CONFIG_IMENGINE_SUNPINYIN_USER_CHARHSET                    "/IMEngine/SunPinyin/Charset"
#define SCIM_CONFIG_IMENGINE_SUNPINYIN_USER_PAGE_MINUS                  "/IMEngine/SunPinyin/PageKey/Minus"
#define SCIM_CONFIG_IMENGINE_SUNPINYIN_USER_PAGE_BRACKET                "/IMEngine/SunPinyin/PageKey/Bracket"
#define SCIM_CONFIG_IMENGINE_SUNPINYIN_USER_PAGE_COMMA                  "/IMEngine/SunPinyin/PageKey/Comma"
#define SCIM_CONFIG_IMENGINE_SUNPINYIN_USER_MEMORY_POWER                "/IMEngine/SunPinyin/HistoryMemory"
#define SCIM_CONFIG_IMENGINE_SUNPINYIN_USER_CONTEXT_METHOD              "/IMEngine/SunPinyin/RankingMethod"
#define SCIM_CONFIG_IMENGINE_SUNPINYIN_USER_LAYOUT_VERTICAL             "/IMEngine/SunPinyin/Layout"
#define SCIM_CONFIG_IMENGINE_SUNPINYIN_AMBIGUITY                        "/IMEngine/SunPinyin/Ambiguity"
#define SCIM_CONFIG_IMENGINE_SUNPINYIN_AMBIGUITY_ANY                    "/IMEngine/SunPinyin/Ambiguity/Any"
#define SCIM_CONFIG_IMENGINE_SUNPINYIN_AMBIGUITY_ZhiZi                  "/IMEngine/SunPinyin/Ambiguity/ZhiZi"
#define SCIM_CONFIG_IMENGINE_SUNPINYIN_AMBIGUITY_ChiCi                  "/IMEngine/SunPinyin/Ambiguity/ChiCi"
#define SCIM_CONFIG_IMENGINE_SUNPINYIN_AMBIGUITY_ShiSi                  "/IMEngine/SunPinyin/Ambiguity/ShiSi"
#define SCIM_CONFIG_IMENGINE_SUNPINYIN_AMBIGUITY_NeLe                   "/IMEngine/SunPinyin/Ambiguity/NeLe"
#define SCIM_CONFIG_IMENGINE_SUNPINYIN_AMBIGUITY_LeRi                   "/IMEngine/SunPinyin/Ambiguity/LeRi"
#define SCIM_CONFIG_IMENGINE_SUNPINYIN_AMBIGUITY_FoHe                   "/IMEngine/SunPinyin/Ambiguity/FoHe"
#define SCIM_CONFIG_IMENGINE_SUNPINYIN_AMBIGUITY_AnAng                  "/IMEngine/SunPinyin/Ambiguity/AnAng"
#define SCIM_CONFIG_IMENGINE_SUNPINYIN_AMBIGUITY_EnEng                  "/IMEngine/SunPinyin/Ambiguity/EnEng"
#define SCIM_CONFIG_IMENGINE_SUNPINYIN_AMBIGUITY_InIng                  "/IMEngine/SunPinyin/Ambiguity/InIng"

#endif//SUNPINYIN_IMENGINE_CONFIG_KEYS_H
